#!/usr/bin/perl

$statusfile = "/usr/local/checknet/status.html";

chomp($date = `/bin/date -u`);
($dev, $ino, $mode, $nl, $ui, $gi, $rd, $size, $junk) = stat($statusfile);
if ($size <= 0) {
        print "HTTP/1.1 400 File not found\n\n";
        exit(0);
}

$filesize = $size;

print<<ENDOFHEADER;
HTTP/1.1 200 OK
Date: $date
Server: Webstatus/1.0
Last-Modified: $date
Content-Length: $filesize
Connection: close
Content-Type: text/html

ENDOFHEADER

if (!open(STA, $statusfile)) {
        print "<H1>Feh, no go\n";
} else {
        while (<STA>) { print; }
}

